CFETOOLDUMP(1)

NAME
cfetool dump - dump the contents of a database in XML format

SYNOPSIS
cfetool dump name [--path|-p directory name] [--file|-f filename] [--daily|-d] [--weekly|-w] [--yearly|-y] [--verbose|-v] [--help|-h]

DESCRIPTION
Prints the contents of the specified database in XML format, with comments for human readability. This format can be read by cfetool import.

The -d, -w, and -y options specify which databases to include in the dump, and may be combined. If they are all ommitted, the default is to only dump the weekly database.

OPTIONS

--path|-p directory name
    Names the directory in which the database specified by name can be found.

--file|-f filename
    Names a file to print the XML to. If this option is omitted, the XML will be printed to the standard output stream.

--daily|-d
    Include the daily pattern database in the dump.

--weekly|-w
    Include the weekly pattern database in the dump.

--yearly|-y
    Include the yearly pattern database in the dump.

--verbose|-v
    Print details of the command's execution to the standard output stream. When using this argument, it is recommended that you also provide the -f argument, to avoid sharing the standard output stream.

--help|-h
    Print a short help message and then exit.

EXAMPLE
  % cfetool dump temperature --path /my/path -f temperature.xml

Prints the following to the file temperature.xml:

 <!-- cfetool Database Dump -->
 <dump>

        <name> temperature </name>

        <age> 1 </age> <!-- steps (0.001 weeks) -->

        <step> 10 </step> <!-- minutes -->

        <!-- consecutive updates -->
        <iterations> 1 </iterations>

        <!-- last update at Tue Aug 31 10:32:05 2004 -->
        <timestamp> 1093973525 </timestamp>

        <!-- current weighted average -->
        <expect> 7.105000 </expect>

        <!-- current variance -->
        <var> 38.280217 </var>

 <!-- data entries -->
        <entry> <timekey> Tue:Hr10:Min30_40 </timekey>
                <expect> 10.150000 </expect>
                <var> 13.245750 </var>
        </entry>

 </dump>

AUTHORS
The code and documentation were contributed by Stanford Linear Accelerator Center, a department of Stanford University. This documentation was written by

Elizabeth Cassell <e_a_c@mailsnare.net> and
Alf Wachsmann <alfw@slac.stanford.edu>

COPYRIGHT AND DISCLAIMER
 Copyright 2004 Alf Wachsmann <alfw@slac.stanford.edu> and
                Elizabeth Cassell <e_a_c@mailsnare.net>
 All rights reserved.